using System.Collections;
using System.Collections.Generic;
using Godot;
using System;



namespace Rokojori
{
  [Tool]
  [GlobalClass]
  public partial class QuadBillboardDataProcessor:Node3D
  { 
    int _updateID = 0;
    
    protected void IncrementUpdateID()
    {
      _updateID ++;
    }

    public int UpdateID()
    {
      return _updateID;
    }

    public virtual List<QuadBillboardData> Process( List<QuadBillboardData> data )
    {
      return data;
    }
  }
}